/****************************************************************************
** MainDialog meta object code from reading C++ file 'MainDialog.h'
**
** Created: Thu Oct 26 17:51:14 2000
**      by: The Qt MOC ($Id: qt/src/moc/moc.y   2.2.1   edited 2000-09-29 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#define Q_MOC_MainDialog
#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "MainDialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#if defined(Q_SPARCWORKS_FUNCP_BUG)
#define Q_AMPERSAND
#else
#define Q_AMPERSAND &
#endif


const char *MainDialog::className() const
{
    return "MainDialog";
}

QMetaObject *MainDialog::metaObj = 0;

void MainDialog::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(MainDialogData::className(), "MainDialogData") != 0 )
	badSuperclassWarning("MainDialog","MainDialogData");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString MainDialog::tr(const char* s)
{
    return qApp->translate( "MainDialog", s, 0 );
}

QString MainDialog::tr(const char* s, const char * c)
{
    return qApp->translate( "MainDialog", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* MainDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) MainDialogData::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void(MainDialog::*m1_t0)();
    typedef void(MainDialog::*m1_t1)(const AudioConfig&);
    typedef void(MainDialog::*m1_t2)(const emuConfig&);
    typedef void(MainDialog::*m1_t3)(const HVSC_Config&);
    typedef void(MainDialog::*m1_t4)(const MixerConfig&);
    typedef void(MainDialog::*m1_t5)(const QString&);
    typedef void(MainDialog::*m1_t6)(const QString&);
    typedef void(MainDialog::*m1_t7)(const PlaylistItem&);
    typedef void(MainDialog::*m1_t8)(const QString&,int,bool,bool);
    typedef void(MainDialog::*m1_t9)();
    typedef void(MainDialog::*m1_t10)();
    typedef void(MainDialog::*m1_t11)();
    typedef void(MainDialog::*m1_t12)();
    typedef void(MainDialog::*m1_t13)();
    typedef void(MainDialog::*m1_t14)();
    typedef void(MainDialog::*m1_t15)();
    typedef void(MainDialog::*m1_t16)();
    typedef void(MainDialog::*m1_t17)();
    typedef void(MainDialog::*m1_t18)();
    typedef void(MainDialog::*m1_t19)();
    typedef void(MainDialog::*m1_t20)();
    typedef void(MainDialog::*m1_t21)();
    typedef void(MainDialog::*m1_t22)();
    typedef void(MainDialog::*m1_t23)();
    typedef void(MainDialog::*m1_t24)();
    typedef void(MainDialog::*m1_t25)();
    typedef void(MainDialog::*m1_t26)();
    typedef void(MainDialog::*m1_t27)();
    typedef void(MainDialog::*m1_t28)();
    typedef void(MainDialog::*m1_t29)();
    typedef void(MainDialog::*m1_t30)();
    typedef void(MainDialog::*m1_t31)();
    typedef void(MainDialog::*m1_t32)();
    typedef void(MainDialog::*m1_t33)();
    typedef void(MainDialog::*m1_t34)();
    typedef void(MainDialog::*m1_t35)();
    typedef void(MainDialog::*m1_t36)();
    typedef void(MainDialog::*m1_t37)();
    typedef void(MainDialog::*m1_t38)();
    typedef void(MainDialog::*m1_t39)();
    typedef void(MainDialog::*m1_t40)();
    typedef void(MainDialog::*m1_t41)();
    typedef void(MainDialog::*m1_t42)();
    typedef void(MainDialog::*m1_t43)();
    typedef void(MainDialog::*m1_t44)();
    typedef void(MainDialog::*m1_t45)();
    typedef void(MainDialog::*m1_t46)(int);
    typedef void(MainDialog::*m1_t47)();
    typedef void(MainDialog::*m1_t48)(bool);
    typedef void(MainDialog::*m1_t49)(bool);
    typedef void(MainDialog::*m1_t50)(bool);
    m1_t0 v1_0 = Q_AMPERSAND MainDialog::playerButtonsForceStop;
    m1_t1 v1_1 = Q_AMPERSAND MainDialog::receiveAudioConfig;
    m1_t2 v1_2 = Q_AMPERSAND MainDialog::receiveEmuConfig;
    m1_t3 v1_3 = Q_AMPERSAND MainDialog::receiveHVSC_Config;
    m1_t4 v1_4 = Q_AMPERSAND MainDialog::receiveMixerConfig;
    m1_t5 v1_5 = Q_AMPERSAND MainDialog::playFile;
    m1_t6 v1_6 = Q_AMPERSAND MainDialog::playHistoryFile;
    m1_t7 v1_7 = Q_AMPERSAND MainDialog::playPlaylistFile;
    m1_t8 v1_8 = Q_AMPERSAND MainDialog::playFileMain;
    m1_t9 v1_9 = Q_AMPERSAND MainDialog::openFile;
    m1_t10 v1_10 = Q_AMPERSAND MainDialog::saveAs;
    m1_t11 v1_11 = Q_AMPERSAND MainDialog::quit;
    m1_t12 v1_12 = Q_AMPERSAND MainDialog::loadPlaylist;
    m1_t13 v1_13 = Q_AMPERSAND MainDialog::savePlaylistAs;
    m1_t14 v1_14 = Q_AMPERSAND MainDialog::saveHotlist;
    m1_t15 v1_15 = Q_AMPERSAND MainDialog::markTune;
    m1_t16 v1_16 = Q_AMPERSAND MainDialog::markPlaylist;
    m1_t17 v1_17 = Q_AMPERSAND MainDialog::openAudioDialog;
    m1_t18 v1_18 = Q_AMPERSAND MainDialog::openEmulatorDialog;
    m1_t19 v1_19 = Q_AMPERSAND MainDialog::openFilterDialog;
    m1_t20 v1_20 = Q_AMPERSAND MainDialog::openHVSC_Dialog;
    m1_t21 v1_21 = Q_AMPERSAND MainDialog::openHistoryDialog;
    m1_t22 v1_22 = Q_AMPERSAND MainDialog::openMixerDialog;
    m1_t23 v1_23 = Q_AMPERSAND MainDialog::openWaveViewDialog;
    m1_t24 v1_24 = Q_AMPERSAND MainDialog::openPlaylistDialog;
    m1_t25 v1_25 = Q_AMPERSAND MainDialog::openPlaylistEditDialog;
    m1_t26 v1_26 = Q_AMPERSAND MainDialog::openPlaylistOptions;
    m1_t27 v1_27 = Q_AMPERSAND MainDialog::addTuneToPlaylist;
    m1_t28 v1_28 = Q_AMPERSAND MainDialog::addDirToPlaylist;
    m1_t29 v1_29 = Q_AMPERSAND MainDialog::addTreeToPlaylist;
    m1_t30 v1_30 = Q_AMPERSAND MainDialog::addHotlistToPlaylist;
    m1_t31 v1_31 = Q_AMPERSAND MainDialog::updatePlaylist;
    m1_t32 v1_32 = Q_AMPERSAND MainDialog::toggleStilDialog;
    m1_t33 v1_33 = Q_AMPERSAND MainDialog::toggleSongLengthDB;
    m1_t34 v1_34 = Q_AMPERSAND MainDialog::about;
    m1_t35 v1_35 = Q_AMPERSAND MainDialog::aboutQt;
    m1_t36 v1_36 = Q_AMPERSAND MainDialog::prevSongPressed;
    m1_t37 v1_37 = Q_AMPERSAND MainDialog::prevSongReleased;
    m1_t38 v1_38 = Q_AMPERSAND MainDialog::stopSongPressed;
    m1_t39 v1_39 = Q_AMPERSAND MainDialog::stopSongReleased;
    m1_t40 v1_40 = Q_AMPERSAND MainDialog::playSongPressed;
    m1_t41 v1_41 = Q_AMPERSAND MainDialog::playSongReleased;
    m1_t42 v1_42 = Q_AMPERSAND MainDialog::forwardSongPressed;
    m1_t43 v1_43 = Q_AMPERSAND MainDialog::forwardSongReleased;
    m1_t44 v1_44 = Q_AMPERSAND MainDialog::nextSongPressed;
    m1_t45 v1_45 = Q_AMPERSAND MainDialog::nextSongReleased;
    m1_t46 v1_46 = Q_AMPERSAND MainDialog::newSubSong;
    m1_t47 v1_47 = Q_AMPERSAND MainDialog::updateSubSongSlider;
    m1_t48 v1_48 = Q_AMPERSAND MainDialog::setPlaylistEnabled;
    m1_t49 v1_49 = Q_AMPERSAND MainDialog::setLoopPlayEnabled;
    m1_t50 v1_50 = Q_AMPERSAND MainDialog::setRandomPlayEnabled;
    QMetaData *slot_tbl = QMetaObject::new_metadata(51);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(51);
    slot_tbl[0].name = "playerButtonsForceStop()";
    slot_tbl[0].ptr = (QMember)v1_0;
    slot_tbl_access[0] = QMetaData::Public;
    slot_tbl[1].name = "receiveAudioConfig(const AudioConfig&)";
    slot_tbl[1].ptr = (QMember)v1_1;
    slot_tbl_access[1] = QMetaData::Public;
    slot_tbl[2].name = "receiveEmuConfig(const emuConfig&)";
    slot_tbl[2].ptr = (QMember)v1_2;
    slot_tbl_access[2] = QMetaData::Public;
    slot_tbl[3].name = "receiveHVSC_Config(const HVSC_Config&)";
    slot_tbl[3].ptr = (QMember)v1_3;
    slot_tbl_access[3] = QMetaData::Public;
    slot_tbl[4].name = "receiveMixerConfig(const MixerConfig&)";
    slot_tbl[4].ptr = (QMember)v1_4;
    slot_tbl_access[4] = QMetaData::Public;
    slot_tbl[5].name = "playFile(const QString&)";
    slot_tbl[5].ptr = (QMember)v1_5;
    slot_tbl_access[5] = QMetaData::Public;
    slot_tbl[6].name = "playHistoryFile(const QString&)";
    slot_tbl[6].ptr = (QMember)v1_6;
    slot_tbl_access[6] = QMetaData::Public;
    slot_tbl[7].name = "playPlaylistFile(const PlaylistItem&)";
    slot_tbl[7].ptr = (QMember)v1_7;
    slot_tbl_access[7] = QMetaData::Public;
    slot_tbl[8].name = "playFileMain(const QString&,int,bool,bool)";
    slot_tbl[8].ptr = (QMember)v1_8;
    slot_tbl_access[8] = QMetaData::Public;
    slot_tbl[9].name = "openFile()";
    slot_tbl[9].ptr = (QMember)v1_9;
    slot_tbl_access[9] = QMetaData::Public;
    slot_tbl[10].name = "saveAs()";
    slot_tbl[10].ptr = (QMember)v1_10;
    slot_tbl_access[10] = QMetaData::Public;
    slot_tbl[11].name = "quit()";
    slot_tbl[11].ptr = (QMember)v1_11;
    slot_tbl_access[11] = QMetaData::Public;
    slot_tbl[12].name = "loadPlaylist()";
    slot_tbl[12].ptr = (QMember)v1_12;
    slot_tbl_access[12] = QMetaData::Public;
    slot_tbl[13].name = "savePlaylistAs()";
    slot_tbl[13].ptr = (QMember)v1_13;
    slot_tbl_access[13] = QMetaData::Public;
    slot_tbl[14].name = "saveHotlist()";
    slot_tbl[14].ptr = (QMember)v1_14;
    slot_tbl_access[14] = QMetaData::Public;
    slot_tbl[15].name = "markTune()";
    slot_tbl[15].ptr = (QMember)v1_15;
    slot_tbl_access[15] = QMetaData::Public;
    slot_tbl[16].name = "markPlaylist()";
    slot_tbl[16].ptr = (QMember)v1_16;
    slot_tbl_access[16] = QMetaData::Public;
    slot_tbl[17].name = "openAudioDialog()";
    slot_tbl[17].ptr = (QMember)v1_17;
    slot_tbl_access[17] = QMetaData::Public;
    slot_tbl[18].name = "openEmulatorDialog()";
    slot_tbl[18].ptr = (QMember)v1_18;
    slot_tbl_access[18] = QMetaData::Public;
    slot_tbl[19].name = "openFilterDialog()";
    slot_tbl[19].ptr = (QMember)v1_19;
    slot_tbl_access[19] = QMetaData::Public;
    slot_tbl[20].name = "openHVSC_Dialog()";
    slot_tbl[20].ptr = (QMember)v1_20;
    slot_tbl_access[20] = QMetaData::Public;
    slot_tbl[21].name = "openHistoryDialog()";
    slot_tbl[21].ptr = (QMember)v1_21;
    slot_tbl_access[21] = QMetaData::Public;
    slot_tbl[22].name = "openMixerDialog()";
    slot_tbl[22].ptr = (QMember)v1_22;
    slot_tbl_access[22] = QMetaData::Public;
    slot_tbl[23].name = "openWaveViewDialog()";
    slot_tbl[23].ptr = (QMember)v1_23;
    slot_tbl_access[23] = QMetaData::Public;
    slot_tbl[24].name = "openPlaylistDialog()";
    slot_tbl[24].ptr = (QMember)v1_24;
    slot_tbl_access[24] = QMetaData::Public;
    slot_tbl[25].name = "openPlaylistEditDialog()";
    slot_tbl[25].ptr = (QMember)v1_25;
    slot_tbl_access[25] = QMetaData::Public;
    slot_tbl[26].name = "openPlaylistOptions()";
    slot_tbl[26].ptr = (QMember)v1_26;
    slot_tbl_access[26] = QMetaData::Public;
    slot_tbl[27].name = "addTuneToPlaylist()";
    slot_tbl[27].ptr = (QMember)v1_27;
    slot_tbl_access[27] = QMetaData::Public;
    slot_tbl[28].name = "addDirToPlaylist()";
    slot_tbl[28].ptr = (QMember)v1_28;
    slot_tbl_access[28] = QMetaData::Public;
    slot_tbl[29].name = "addTreeToPlaylist()";
    slot_tbl[29].ptr = (QMember)v1_29;
    slot_tbl_access[29] = QMetaData::Public;
    slot_tbl[30].name = "addHotlistToPlaylist()";
    slot_tbl[30].ptr = (QMember)v1_30;
    slot_tbl_access[30] = QMetaData::Public;
    slot_tbl[31].name = "updatePlaylist()";
    slot_tbl[31].ptr = (QMember)v1_31;
    slot_tbl_access[31] = QMetaData::Public;
    slot_tbl[32].name = "toggleStilDialog()";
    slot_tbl[32].ptr = (QMember)v1_32;
    slot_tbl_access[32] = QMetaData::Public;
    slot_tbl[33].name = "toggleSongLengthDB()";
    slot_tbl[33].ptr = (QMember)v1_33;
    slot_tbl_access[33] = QMetaData::Public;
    slot_tbl[34].name = "about()";
    slot_tbl[34].ptr = (QMember)v1_34;
    slot_tbl_access[34] = QMetaData::Public;
    slot_tbl[35].name = "aboutQt()";
    slot_tbl[35].ptr = (QMember)v1_35;
    slot_tbl_access[35] = QMetaData::Public;
    slot_tbl[36].name = "prevSongPressed()";
    slot_tbl[36].ptr = (QMember)v1_36;
    slot_tbl_access[36] = QMetaData::Protected;
    slot_tbl[37].name = "prevSongReleased()";
    slot_tbl[37].ptr = (QMember)v1_37;
    slot_tbl_access[37] = QMetaData::Protected;
    slot_tbl[38].name = "stopSongPressed()";
    slot_tbl[38].ptr = (QMember)v1_38;
    slot_tbl_access[38] = QMetaData::Protected;
    slot_tbl[39].name = "stopSongReleased()";
    slot_tbl[39].ptr = (QMember)v1_39;
    slot_tbl_access[39] = QMetaData::Protected;
    slot_tbl[40].name = "playSongPressed()";
    slot_tbl[40].ptr = (QMember)v1_40;
    slot_tbl_access[40] = QMetaData::Protected;
    slot_tbl[41].name = "playSongReleased()";
    slot_tbl[41].ptr = (QMember)v1_41;
    slot_tbl_access[41] = QMetaData::Protected;
    slot_tbl[42].name = "forwardSongPressed()";
    slot_tbl[42].ptr = (QMember)v1_42;
    slot_tbl_access[42] = QMetaData::Protected;
    slot_tbl[43].name = "forwardSongReleased()";
    slot_tbl[43].ptr = (QMember)v1_43;
    slot_tbl_access[43] = QMetaData::Protected;
    slot_tbl[44].name = "nextSongPressed()";
    slot_tbl[44].ptr = (QMember)v1_44;
    slot_tbl_access[44] = QMetaData::Protected;
    slot_tbl[45].name = "nextSongReleased()";
    slot_tbl[45].ptr = (QMember)v1_45;
    slot_tbl_access[45] = QMetaData::Protected;
    slot_tbl[46].name = "newSubSong(int)";
    slot_tbl[46].ptr = (QMember)v1_46;
    slot_tbl_access[46] = QMetaData::Protected;
    slot_tbl[47].name = "updateSubSongSlider()";
    slot_tbl[47].ptr = (QMember)v1_47;
    slot_tbl_access[47] = QMetaData::Protected;
    slot_tbl[48].name = "setPlaylistEnabled(bool)";
    slot_tbl[48].ptr = (QMember)v1_48;
    slot_tbl_access[48] = QMetaData::Protected;
    slot_tbl[49].name = "setLoopPlayEnabled(bool)";
    slot_tbl[49].ptr = (QMember)v1_49;
    slot_tbl_access[49] = QMetaData::Protected;
    slot_tbl[50].name = "setRandomPlayEnabled(bool)";
    slot_tbl[50].ptr = (QMember)v1_50;
    slot_tbl_access[50] = QMetaData::Protected;
    metaObj = QMetaObject::new_metaobject(
	"MainDialog", "MainDialogData",
	slot_tbl, 51,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}
